[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TUDChangingEventEx

Specifies an event handler signalled prior to changing the value in a TUpDown control.

## Declaration

Source position: comctrls.pp line 1918

`type TUDChangingEventEx = procedure(`
`Sender: TObject;`
`var AllowChange: Boolean;`
`NewValue: SmallInt;`
`Direction: TUpDownDirection`
`) of object;`

## Arguments

`Sender` |  | Object (TCustomUpDown) for the event.
`AllowChange` |  | Indicates whether the value change can be applied to the TUpdown control. Return False to prevent the change to the control value.
`NewValue` |  | New value for the TUpdown control.
`Direction` |  | Direction for the pending value change (up or down).

## Description

TUDChangingEventEx allows an application to control whether a pending change to the value in TUpDown can be applied to the control. It is similar to TUDChangingEvent, but includes the new value for the control and indicates the direction for the pending change. Set the AllowChange argument to False in the handler routine to prevent the change from being applied to the control.

TUDChangingEventEx is the type used to implement the OnChangingEx property in TUpDown.

Use TUDChangingEvent and OnChanging for the event which provides a simple notification of a pending value change in the control.

## See also

TCustomUpDown.OnChangingEx |  | Event handler signalled to determine if the control can change the value in the Position property.
TCustomUpDown.OnChanging |  | Event handler signalled prior to changing the value in the Position property.
TUpDown.OnChangingEx |  | Event handler signalled to determine if the control can change the value in the Position property.
TUpDown.OnChanging |  | Event handler signalled prior to changing the value in the Position property.
TUDChangingEvent |  | Specifies an event handler signalled prior to changing the value in a TUpDown control.